rem 
rem $Header: buildtab.sql,v 1002100.1 89/03/29 14:20:50 rcs Exp $ buildtab.sql Copyr (c) 1989 Oracle
rem 
rem V6PLS10021,DISK$DEV9:[PLS.DEMO.10021]
drop table accounts
/
create table accounts(
	account_id 	number(4) not null,
	bal 		number(11,2))
/
create unique index accounts_index on accounts (account_id)
/
drop table action
/
create table action(
	account_id 	number(4) not null,
	oper_type 	char(1) not null,
	new_value 	number(11,2),
	status 		char(45),
	time_tag 	date not null)
/
drop table bins
/
create table bins(
	bin_num		number(2) not null,
	part_num	number(4),
	amt_in_bin	number(4))
/
drop table data_table
/
create table data_table(
	exper_num	number(2),
	n1		number(5),
	n2		number(5),
	n3		number(5))
/
drop table emp
/
create table emp(
	empno 		number(4) not null,
	ename 		char(10),
	job 		char(9),
	mgr 		number(4),
	hiredate 	date,
	sal 		number(7,2),
	comm 		number(7,2),
	deptno 		number(2))
/
drop table inventory_table
/
create table inventory_table(
	product		char(20) not null,
	quantity	number(5))
/
drop table journal
/
create table journal(
	account_id 	number(4) not null,
	action 		char(45) not null,
	amount 		number(11,2),
	date_tag 	date not null)
/
drop table num1_tab
/
create table num1_tab(
	sequence	number(3) not null,
	num		number(4))
/
drop table num2_tab
/
create table num2_tab(
	sequence	number(3) not null,
	num		number(4))
/
drop table purchase_record
/
create table purchase_record(
	mesg		char(45),
	purch_date	date)
/
drop table ratio
/
create table ratio(
	sample_id	number(3) not null,
	ratio		number)
/
drop table result_table
/
create table result_table(
	sample_id	number(3) not null,
	x		number,
	y		number)
/
drop table sum_tab
/
create table sum_tab(
	sequence	number(3) not null,
	sum		number(5))
/
drop table temp
/
create table temp(
	col1 		number(9,4),
	col2 		number(9,4),
	message 	char(45))
/
