rem 
rem $Header: examp1.sql,v 1002100.2 90/01/11 16:53:12 nsalah Exp $ examp1.sql Copyr (c) 1989 Oracle
rem 
rem V6PLS10021,DISK$DEV9:[PLS.DEMO.10021]
/*
** This block processes an order for tennis racquets.  It will only
** decrement the number of tennis racquets in stock if there is
** at least one racquet left in stock.
**
** Copyright (c) 1989 by Oracle Corporation
*/

DECLARE
    num_in_stock    NUMBER(5);
BEGIN
    SELECT quantity INTO num_in_stock FROM inventory_table
        WHERE product = 'TENNIS RACQUET';

        -- make sure there's enough in stock
    IF num_in_stock > 0 THEN
        UPDATE inventory_table SET quantity = quantity - 1
            WHERE product = 'TENNIS RACQUET';
        INSERT INTO purchase_record
            VALUES ('TENNIS RACQUET PURCHASED.', SYSDATE);
    ELSE
        INSERT INTO purchase_record
            VALUES ('OUT OF TENNIS RACQUETS.', SYSDATE);
    END IF;

    COMMIT;
END;
/
