rem 
rem $Header: examp4.sql,v 1002100.2 90/01/11 16:55:28 nsalah Exp $ examp4.sql Copyr (c) 1989 Oracle
rem 
rem V6PLS10021,DISK$DEV9:[PLS.DEMO.10021]
/*
** This block does some numeric processing on data that is
** stored in data_table that comes from experiment #1.  The
** results are stored in the TEMP table.
**
** Copyright (c) 1989 Oracle Corporation
*/

DECLARE
    num1     data_table.n1%TYPE;   -- Declare variables
    num2     data_table.n2%TYPE;   -- to be of same type as
    num3     data_table.n3%TYPE;   -- database columns
    result   temp.col1%TYPE;
    CURSOR c1 IS
        SELECT n1, n2, n3 FROM data_table
            WHERE exper_num = 1;
BEGIN
    OPEN c1;
    LOOP
        FETCH c1 INTO num1, num2, num3;
        EXIT WHEN c1%NOTFOUND;
            -- the c1%NOTFOUND condition evaluates
            -- to TRUE when FETCH finds no more rows

            /* calculate and store the results */
        result := num2/(num1 + num3);
        INSERT INTO temp VALUES (result, null, null);
    END LOOP;
    CLOSE c1;
    COMMIT;
END;
/
